Customize Host button in 'select initial host properties' sometimes does nothing
Description

We have had this issue on and off since 1.16.  After navigating to the Discovered hosts page, then clicking on provision next to a

host, you get the Select initial host properties screen:
We have had multiple users say that clicking on the Customize Host button does nothing.  It seems to be hit or miss.  Sometimes you

can refresh or reload the page and then it works.  It seems to only happen to brand new discovered hosts.

So far I believe most users have been using Chrome at the time.

I've delayed writing this issue for the last 6-8 months because I can't always reproduce it and the web console shows no errors. 

However, it does happen about 20% of the time and with 400+ users that ends up being a lot of time.

The current work around that works every time is to click on the host name itself, then on the top right under "Select Action" choose

Provision.  This works 100% of the time.

Not sure what I can do about this.  Im trying to find some sort of pattern or error.  I'll add to this ticket when it happens again which

will likely be soon.

History

#1 - 05/15/2018 02:52 PM - Jeff Sparrow

so far I have been able to successfully reproduce this 3 times.  It is literally any time a new host comes into the discovered hosts page.  Clicking

Provision -> Customize host will fail to do anything on all hosts in the discovered state.  Refresh the page and now they all work.

#2 - 05/16/2018 12:09 PM - Ewoud Kohl van Wijngaarden

- Project changed from Packaging to Foreman

Moving to Foreman since this doesn't sound like a packaging issue.

#3 - 06/19/2018 12:47 PM - Jeff Sparrow

So I have confirmed this happens on every single new discovered host.  Then when you refresh the page, and click it again it works.  Or, if another

server comes in, then anything in the 2nd position and below works.  Pretty annoying.

#4 - 09/25/2018 03:27 PM - Jeff Sparrow

Still happening in 1.19 btw.

#5 - 09/25/2018 03:27 PM - Jeff Sparrow

- Found in Releases 1.19.0 added

- Found in Releases deleted (1.16.0)

#6 - 08/13/2019 09:16 PM - alan b

- Found in Releases 1.22.0 added

- Found in Releases deleted (1.19.0)
I seem to have this issue in foreman 1.22.0 on CentOS as well, installed from rpm. foreman-1.22.0-1.el7.noarch

Reloading the page seems to work as the previous user mentioned.
